source: trunk/third/gmp/config.sub @ 18191

Revision 18191, 3.8 KB checked in by ghudson, 22 years ago (diff)
This commit was generated by cvs2svn to compensate for changes in r18190, which included commits to RCS files with non-trunk default branches.
  • Property svn:executable set to *
Line 
1#! /bin/sh
2#
3# GMP config.sub wrapper.
4
5
6# Copyright 2000, 2001, 2002 Free Software Foundation, Inc.
7#
8# This file is part of the GNU MP Library.
9#
10# The GNU MP Library is free software; you can redistribute it and/or modify
11# it under the terms of the GNU Lesser General Public License as published
12# by the Free Software Foundation; either version 2.1 of the License, or (at
13# your option) any later version.
14#
15# The GNU MP Library is distributed in the hope that it will be useful, but
16# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
17# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
18# License for more details.
19#
20# You should have received a copy of the GNU Lesser General Public License
21# along with the GNU MP Library; see the file COPYING.LIB.  If not, write to
22# the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
23# MA 02111-1307, USA.
24
25
26# Usage: config.sub CPU-VENDOR-OS
27#        config.sub ALIAS
28#
29# Validate and canonicalize the given configuration name, with special
30# handling for GMP extra CPU names.
31#
32# When the CPU isn't special the whole name is simply passed straight
33# through to configfsf.sub.
34#
35# When the CPU is a GMP extra, configfsf.sub is run on a similar CPU that it
36# will recognise.  For example "athlon-pc-freebsd3.5" is validated using
37# "i386-pc-freebsd3.5".
38#
39# Any canonicalizations made by configfsf.sub are preserved.  For example
40# given "athlon-linux", configfsf.sub is called with "i386-linux" and will
41# give back "i386-pc-linux-gnu".  "athlon" is then reinstated, so we print
42# "athlon-pc-linux-gnu".
43
44
45# Expect to find configfsf.sub in the same directory as this config.sub
46configfsf_sub="`echo \"$0\" | sed 's/config.sub$/configfsf.sub/'`"
47if test "$configfsf_sub" = "$0"; then
48  echo "Cannot derive configfsf.sub from $0" 1>&2
49  exit 1
50fi
51if test -f "$configfsf_sub"; then
52  :
53else
54  echo "$configfsf_sub not found" 1>&2
55  exit 1
56fi
57
58# Always run configfsf.sub with $SHELL, like autoconf does for config.sub
59SHELL=${CONFIG_SHELL-/bin/sh}
60
61# Identify ourselves on --version, --help, etc
62case "$1" in
63"" | -*)
64  echo "(GNU MP wrapped config.sub)" 1>&2
65  $SHELL $configfsf_sub "$@"
66  exit
67  ;;
68esac
69
70given_full="$1"
71given_cpu=`echo "$given_full" | sed 's/-.*$//'`
72given_rest=`echo "$given_full" | sed 's/^[^-]*//'`
73
74
75# Aliases for GMP extras
76case "$given_cpu" in
77p5 | p54)   given_cpu=pentium ;;
78p55)        given_cpu=pentiummmx ;;
79p6)         given_cpu=pentiumpro ;;
80pentiumii)  given_cpu=pentium2 ;;
81pentiumiii) given_cpu=pentium3 ;;
82esac
83given_full="$given_cpu$given_rest"
84
85
86# GMP extras and what to use for the config.sub test
87case "$given_cpu" in
88pentium | pentiummmx | pentiumpro | pentium[234] | k[56] | k6[23] | athlon)
89  test_cpu=i386 ;;
90power[12] | power2sc)
91  test_cpu=power ;;
92powerpc401 | powerpc403 | powerpc405 | \
93powerpc505 | \
94powerpc601 | powerpc602  | \
95powerpc603 | powerpc603e | \
96powerpc604 | powerpc604e | \
97powerpc620 | powerpc630  | \
98powerpc740 | powerpc7400 | powerpc7450 | powerpc750  | \
99powerpc801 | powerpc821 | powerpc823  | powerpc860 | \
100powerpc64)
101  test_cpu=powerpc ;;
102sparcv8 | supersparc | microsparc | \
103ultrasparc | ultrasparc2 | ultrasparc2i | ultrasparc3)
104  test_cpu=sparc ;;
105sh2)
106  test_cpu=sh ;;
107
108*)
109  # Don't need or want to change the given name, just run configfsf.sub
110  $SHELL $configfsf_sub "$given_full"
111  if test $? = 0; then
112    exit 0
113  else
114    echo "(GNU MP wrapped config.sub, testing \"$given_full\")"
115    exit 1
116  fi
117esac
118
119
120test_full="$test_cpu$given_rest"
121canonical_full=`$SHELL $configfsf_sub "$test_full"`
122if test $? = 0; then
123  :
124else
125  echo "(GNU MP wrapped config.sub, testing \"$given_full\" as \"$test_full\")"
126  exit 1
127fi
128
129canonical_rest=`echo "$canonical_full" | sed 's/^[^-]*//'`
130echo "$given_cpu$canonical_rest"
131exit 0
132
133
134
135# Local variables:
136# fill-column: 76
137# End:
Note: See TracBrowser for help on using the repository browser.